### Class

# GtkSource FileSaver

#### Description [src]

    final class GtkSource.FileSaver : GObject.Object
    {
      /* No available fields */
    }

Save a `GtkSourceBuffer` into a file.

A `GtkSourceFileSaver` object permits to save a `GtkSourceBuffer` into a `GFile`.

A file saver should be used only for one save operation, including errors handling. If an error occurs, you can reconfigure the saver and relaunch the operation with `gtk_source_file_saver_save_async()`.

#### Ancestors

- GObject

#### Constructors

###### gtk_source_file_saver_new

Creates a new `GtkSourceFileSaver` object. The `buffer` will be saved to the `GtkSourceFile`‘s location.

###### gtk_source_file_saver_new_with_target

Creates a new `GtkSourceFileSaver` object with a target location.

#### Instance methods

###### gtk_source_file_saver_get_buffer

No description available.

###### gtk_source_file_saver_get_compression_type

No description available.

###### gtk_source_file_saver_get_encoding

No description available.

###### gtk_source_file_saver_get_file

No description available.

###### gtk_source_file_saver_get_flags

No description available.

###### gtk_source_file_saver_get_location

No description available.

###### gtk_source_file_saver_get_newline_type

No description available.

###### gtk_source_file_saver_save_async

Saves asynchronously the buffer into the file.

###### gtk_source_file_saver_save_finish

Finishes a file saving started with `gtk_source_file_saver_save_async()`.

###### gtk_source_file_saver_set_compression_type

Sets the compression type. By default the compression type is taken from the `GtkSourceFile`.

###### gtk_source_file_saver_set_encoding

Sets the encoding. If `encoding` is `NULL`, the UTF-8 encoding will be set.

###### gtk_source_file_saver_set_flags

No description available.

###### gtk_source_file_saver_set_newline_type

Sets the newline type. By default the newline type is taken from the `GtkSourceFile`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.FileSaver:buffer

The `GtkSourceBuffer` to save. The `GtkSourceFileSaver` object has a weak reference to the buffer.

###### GtkSource.FileSaver:compression-type

The compression type.

###### GtkSource.FileSaver:encoding

The file’s encoding.

###### GtkSource.FileSaver:file

The `GtkSourceFile`. The `GtkSourceFileSaver` object has a weak reference to the file.

###### GtkSource.FileSaver:flags

File saving flags.

###### GtkSource.FileSaver:location

The `GFile` where to save the buffer. By default the location is taken from the `GtkSourceFile` at construction time.

###### GtkSource.FileSaver:newline-type

The newline type.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceFileSaverClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.